Atelier Pièce

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Module and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(台灣)‎

Workbench Part.svg

Introduction

Les capacités de modélisation de solides dans FreeCAD reposent sur le noyau Open Cascade Technology (OCCT), un système de CAO de niveau professionnel qui offre une création et une manipulation avancées de la géométrie 3D.

Le Part Workbench permet à l'utilisateur d'accéder aux objets et fonctions OCCT et de les utiliser. Les objets Part, à la différence des Objets mailles, sont plus complexes et permettent donc des opérations plus avancées telles que les opérations booléennes cohérentes, l'historique des modifications et le comportement paramétrique.

Part example.jpg

Les outils

Les outils de l'établi Part sont situés dans le menu Part qui apparait lorsque l'on charge l'établi Part.

Primitives

Ce sont des outils pour créer des objets primitifs.

  • Part Box.png Cube: Dessine un cube en spécifiant ses dimensions.
  • Part Cone.png Cône: Dessine un cône en spécifiant ses dimensions.
  • Part Cylinder.png Cylindre: Dessine un cylindre en spécifiant ses dimensions.
  • Part Sphere.png Sphère: Dessine une sphère en spécifiant ses dimensions.
  • Part Torus.png Tore: Dessine un tore en spécifiant ses dimensions.
  • Part CreatePrimitives.png Création de Primitives: Un outil pour créer diverses primitives géométriques paramétriques.
  • Part Shapebuilder.png Utilitaire de création de formes: Un outil avancé de création de formes plus complexes à partir de diverses primitives géométriques paramétriques.

Modifier les objets

Voici les outils permettant de modifier les objets existants. Ils vous permettront de choisir quels objets modifier.

  • Part Booleans.png Opérations booléennes: Effectue des opérations booléennes sur des objets
  • Part Union.png Union: Fusion (unions) de deux objets
  • Part Common.png Intersection: Extrait la partie commune (intersection) de deux objets
  • Part Cut.png Soustraction: Coupe (soustrait) un objet d'un autre
  • Part JoinConnect.png Jointoiement: fonctions booléennes intelligent ce croisent ou s'intersectent pour les objets à joindre (par exemple, les tuyaux) (v0.16)
    • Part JoinConnect.png Connexion: Connecte les intérieurs d'objets (v0.16)
    • Part JoinEmbed.png Intégrer: Intègre un objet intégré à un autre objet intégré (v0.16)
    • Part JoinCutout.png Découpe: Crée une découpe dans un objet intégré sur un autre objet intégré (v0.16)
  • Splitting tools: (v0.17)
    • Part BooleanFragments.png Fraction boléenne: Crée toutes les pièces pouvant être obtenues par des opérations booléennes entre objets (v0.17)
    • Part Slice.png Séparer: Divise un objet en morceaux par intersections avec un autre objet (v0.17)
    • Part XOR.png XOR: Supprime l'espace partagé par un nombre pair d'objets (version symétrique de Cut) (v0.17)
  • Compound
  • Part Extrude.png Extrusion: Extrude les faces planes d'un objet
  • Part Fillet.png Congé: Congé (arrondi) le bords d'un objet
  • Part Revolve.png Révolution: Crée un solide en faisant tourner un autre objet (pas un solide) autour d'un axe
  • Part Section.png Section: Crée une section en croisant un objet avec un plan de coupe
  • Part SectionCross.png Sections de coupes...:
  • Part Chamfer.png Chanfrein: Chanfreine les bords d'un objet
  • Part Mirror.png Miroir: Reflète l'objet sélectionné sur un plan de miroir donné
  • Part RuledSurface.png Création de surface: Crée une surface réglée
  • Part Sweep.png Balayage: Crée une forme en balayant un ou plusieurs profils le long d'un chemin
  • Part Loft.png Lissage: Crée une forme lissée d'un profil à un autre
  • Offset tools:
    • Part Offset.png 3D Décalage: Construit une forme parallèle à une certaine distance de l'original.
    • Part Offset2D.png 2D Décalage: Construit un fil parallèle à une certaine distance de l'original ou agrandit/réduit une face plane. (v0.17)
    • Part Thickness.png Crée une coque: Creuse un solide sur la face sélectionnée en laissant les autres parois à une épaisseur déterminée.

Autres outils

  • Part ImportCAD.png Import CAD: Cet outil vous permet d'ajouter un fichier *.IGES, *.STEP, *.BREP au document actuel.
  • Part ExportCAD.png Export CAD: Cet outil vous permet d’exporter un objet pièce dans un fichier *.IGES, *.STEP, *.BREP.
  • Part ShapeFromMesh.png Forme avec un Mesh: Crée un objet de forme à partir d'un objet de maillage.
  • Conversion en solide: Convertit un objet forme en objet solide.
  • Inverse L'objet: Inverse les normales de toutes les faces de l'objet sélectionné.
  • Create simple copy: Crée une copie simple de l'objet sélectionné.
  • Part RefineShape.png Affine l'objet: Nettoie les faces en supprimant les lignes inutiles.
  • Part CheckGeometry.png Vérifie la géométrie: Vérifie les erreurs de la géométrie des objets sélectionnés.
  • Mesure: Permet des mesures linéaires et angulaires entre points/edges/faces.
Part Boolean example.png

Un exemple de fusion (union), intersection (commune) et différence (coupe) de formes solides


Preferences

OCCT concepts géométriques

Dans la terminologie OpenCascade, nous faisons la distinction entre les primitives géométriques et les formes (topologiques). Une primitive géométrique peut être un point, une ligne, un cercle, un plan, etc. ou même certains types plus complexes, comme une courbe B-Spline ou une surface. Une forme (shape en anglais) peut être un sommet, une arête, un fil, une face, un solide ou un composé d'autres formes. Les primitives géométriques ne sont pas faites pour être affichées directement sur la scène 3D, mais plutôt pour être utilisées comme géométrie de construction des formes. Par exemple, une arête peut être construite à partir d'une ligne ou d'une partie de cercle.

Pour résumer, les primitives géométriques sont des blocs de construction "informes", et que les formes sont les véritables entités géométriques spatiales construites sur ces blocs.

Pour obtenir une liste complète de tous ces éléments, se référer à la documentation OCC et rechercher Geom_Geometry et TopoDS_Shape. Là, vous pourrez également en savoir plus sur les différences entre les objets géométriques et les formes. À notre grand regret, la documentation OCC n'est malheureusement pas disponible en ligne (vous devez télécharger une archive) et est principalement destiné aux programmeurs et non aux utilisateurs finaux. Mais espérons que vous trouverez suffisamment d'informations pour commencer ici.

Les types géométriques peuvent en fait être divisés en deux groupes principaux: les courbes et les surfaces. Sur les courbes (ligne, cercle, ...) vous pouvez directement créer une arête, sur les surfaces (plan, cylindre, ...) une face peut être construite. Par exemple, la ligne primitive géométrique est illimitée, c'est à dire qu'elle est définie par un vecteur de base et un vecteur directeur tandis que la forme associée (et représentée) doit être quelque chose de limité par un début et de fin. Et un cube - un solide - peut être créée par six plans limités.

En contrepartie, il est également possible, depuis une arête ou une face, de revenir à sa primitive géométrique.

Ainsi, en se basant sur les formes, vous pouvez construire des pièces très complexes ou, dans l'autre sens, extraire tous les sous-formes dont est faite une forme plus complexe.

Les scripts

La structure principale de données utilisée dans l'établi pièce est le type de données BRep d'OpenCascade. Presque tous les contenus et les types d'objets de l'établi pièce sont maintenant disponibles pour les scripts Python. Cela inclut les primitives géométriques, telles que les lignes (Line) et les cercles (Circle ou Arc), et l'ensemble des TopoShapes, tels que les vertex, arêtes, fils, faces, solides et composés. Pour chacun de ces objets, plusieurs méthodes de création existent, et pour certains d'entre eux, en particulier les TopoShapes, des opérations avancées telles que les opérations booléennes union / soustraction / intersection sont également disponibles. Explorez le contenu de l'établi pièce, tel que décrit dans la page Les bases du langage de script de FreeCAD, pour en savoir plus.

Exemples

Pour créer un élément ligne, passer à la console Python et taper:

import Part,PartGui 
doc=App.newDocument()  
l=Part.LineSegment()
l.StartPoint=(0.0,0.0,0.0)
l.EndPoint=(1.0,1.0,1.0)
doc.addObject("Part::Feature","Line").Shape=l.toShape() 
doc.recompute()

Passons en revue l'exemple python ci-dessus étape par étape:

import Part,PartGui
doc=App.newDocument()

charge l'établi pièce et crée un nouveau document

l=Part.LineSegment()
l.StartPoint=(0.0,0.0,0.0)
l.EndPoint=(1.0,1.0,1.0)

La fonction Line décrit en fait un segment de ligne, d'où le point de départ et le point final.

doc.addObject("Part::Feature","Line").Shape=l.toShape()

Cette commande ajoute un objet de type pièce au document et affecte la représentation de forme du segment de ligne à la propriété 'forme' ('Shape') de l'objet ajouté. Il est important de comprendre ici que nous avons utilisé une primitive géométrique (le Part.LineSegment) pour créer un TopoShape à partir de celle-ci (la méthode toShape()). Seules les formes peuvent être ajoutées au document. Dans FreeCAD, les primitives géométriques sont utilisées comme des "structures de base" pour construire les formes.

doc.recompute()

Mise à jour du document. Cela prépare également la représentation visuelle du nouvel objet pièce.

Notez qu'une Line Segment peut être créée en spécifiant son point de départ et son point final directement dans le constructeur, par ex. Part.LineSegment (point1, point2) ou nous pouvons créer une ligne par défaut et définir ses propriétés après, comme nous l'avons fait ici.

Un cercle peut être créé de la même manière:

import Part
doc = App.activeDocument()
c = Part.Circle() 
c.Radius=10.0  
f = doc.addObject("Part::Feature", "Circle")
f.Shape = c.toShape()
doc.recompute()

Notez qu'une fois encore, nous avons utilisé le cercle (primitive géométrique) pour construire une forme. Nous pouvons bien sûr toujours accéder à notre géométrie de construction par la suite, en faisant:

s = f.Shape
e = s.Edges[0]
c = e.Curve

Ici on prend la forme de notre objet f, puis nous prenons la liste de ses arêtes. Dans ce cas il y aura une seule arête parce que nous avons fait toute la forme à partir d'un cercle unique, c'est pourquoi nous ne prenons que le premier élément de la liste des arêtes, et puis nous récupérons sa courbe. Chaque arête a une courbe, qui est la géométrie primitive, sur laquelle elle est basée.

Rendez-vous sur la page Les scripts de pièces si vous voulez en savoir plus.

Tutorials

< précédent: OpenSCAD Module
suivant: Drawing Module >